Subject: Re: bug#41570: 26.3; dired chown

From: "A. Peter Blicher" <[email-masked]>
Date: Sun, 6 Sep 2020 10:30:55 -0700

I think rms is misunderstanding the issue.

RMS:  Chown works fine on posix platforms, and I think we all agree it 
doesn't need any change in emacs for those platforms.  The problem is that 
the functionality of chown does not exist in simple form on Windows, but 
there is a crippled version, called takeown.  It's already the case in emacs 
that trying to do chown in Dired under Windows yields an error message.  The 
bug related to whether there should be some functionality added to do what 
the crippled version, takeown, does when one tries to chown in emacs under 
windows.

--peter

On 9/6/2020 7:19 AM, Eli Zaretskii wrote:
>> From: Richard Stallman <[email-masked]>
>> Cc: [email-masked], [email-masked], [email-masked]
>> Date: Sat, 05 Sep 2020 23:54:25 -0400
>>
>>    > >   Changing a file's owner not supported on this OS.  Switch to GNU/Linux.
>>
>>    > But this is not true: if one has a 'chown' command available (and I
>>    > do), it will and should work as intended.
>>
>> I was replying to a message which seemed to say there was none, but I
>> don't claim to know anything about Windows.
> 
> There are ports of GNU Coreutils floating around.
> 
>> Whatever the situation may be, the message could give users suitable
>> advice.  "Install the chown command to make this work" could be used,
>> provided the chown command in question is free software.
> 
> If the suggestion is to tweak the text of the error message a little
> on non-Posix platforms, it'd be fine by me.  Patches welcome.
>